# Class: orthogonal_line

## LocusZoom_DataLayers~orthogonal_line()

Orthogonal Line Data Layer Draw a horizontal or vertical line given an orientation and an offset in the layout Does not require a data source or fields.

## Constructor

#### new orthogonal_line()

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`layout.style.stroke` | string | <optional> | '#D3D3D3' |
`layout.style.stroke-width` | string | <optional> | '3px' |
`layout.style.stroke-dasharray` | string | <optional> | '10px 10px' |
`layout.orientation` | 'horizontal' | 'vertical' | <optional> |  | The orientation of the horizontal line
`layout.x_axis.decoupled` | boolean | <optional> | true | If true, the data in this layer will not influence the x-extent of the panel.
`layout.y_axis.decoupled` | boolean | <optional> | true | If true, the data in this layer will not influence the y-extent of the panel.
`layout.tooltip_positioning` | 'horizontal' | 'vertical' | <optional> | 'vertical' | Where to draw the tooltip relative to the mouse pointer.
`layout.offset` | number | <optional> | 0 | Where the line intercepts the orthogonal axis (eg, the y coordinate for a horizontal line, or x for a vertical line)

Source:
  - components/data_layer/line.js, line 164
See:
  - module:LocusZoom_DataLayers~BaseDataLayer for additional layout options

### Members

#### (static, constant) default_orthogonal_layout

Source:
  - components/data_layer/line.js, line 137

### Methods

#### render()

Implement the main render function

Source:
  - components/data_layer/line.js, line 192